# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(CPAN/Meta/Requirements.pm) perl(Carp.pm) perl(Class/Discover.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/CoreList.pm) perl(Net/FTP.pm) perl(P5U.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class/Dir.pm) perl(Path/Class/File.pm) perl(Path/Class/Rule.pm) perl(Path/Iterator/Rule.pm) perl(Perl/PrereqScanner.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(base.pm) perl(inc/Module/Package.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.005
%define module_name P5U-Command-Deps
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: p5u plugin to scan a file or directory for Perl dependencies
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/P5U-Command-Deps

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Given a list of filenames and/or directories, uses the Perl::PrereqScanner manpage
to calculate a combined list of dependencies. If no filenames are given,
then the current directory is assumed.

It uses file naming conventions to attempt to classify dependencies as
"runtime", "test" and "build".

Unless using the `--keep-provided' option, will use Class::Discover to
discover what packages are provided by the codebase, and skip those. For
example, if there's a lib/Foo/Bar.pm providing Foo::Bar, and the test suite
loads that module, it won't be included as a test_requires dependency.

With the `--skip-core' option, will also skip dependencies that are
satisfied by Perl core. This requires at least one `use VERSION' line
in the files being scanned.

Output is in the text format shown above, but with `--format=mi'
will attempt to output the Module::Install manpage-style requirements. With
`--format=pretdsl' will output data in a format suitable for
the RDF::TrineX::Parser::Pretdsl manpage.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE COPYRIGHT README
%perl_vendor_privlib/P*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- initial import by package builder

